resources

## Enum Constants.GoalDescription

- java.lang.Object
- - java.lang.Enum<Constants.GoalDescription>
  - - resources.Constants.GoalDescription

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.GoalDescription>
  Enclosing class:
    Constants

      public static enum Constants.GoalDescription
      extends java.lang.Enum<Constants.GoalDescription>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Care`
    `Conformance`
    `Convenience`
    `Financial`
    `Income`
    `NetworkSize`
    `NetworkStability`
    `None`
    `Treatment`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.GoalDescription` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.GoalDescription[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Treatment

          public static final Constants.GoalDescription Treatment

    - #### Convenience

          public static final Constants.GoalDescription Convenience

    - #### Conformance

          public static final Constants.GoalDescription Conformance

    - #### Care

          public static final Constants.GoalDescription Care

    - #### Income

          public static final Constants.GoalDescription Income

    - #### Financial

          public static final Constants.GoalDescription Financial

    - #### NetworkStability

          public static final Constants.GoalDescription NetworkStability

    - #### NetworkSize

          public static final Constants.GoalDescription NetworkSize

    - #### None

          public static final Constants.GoalDescription None

  - ### Method Detail

    - #### values

          public static Constants.GoalDescription[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.GoalDescription c : Constants.GoalDescription.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.GoalDescription valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null